How to install Xampp on Ubuntu via Putty

Problems with the Linux version of XAMPP, questions, comments, and anything related.

How to install Xampp on Ubuntu via Putty

Postby Bulletowns » 29. August 2016 00:03

Hey guys, I couldn't find a tutorial anywhere on how to install the latest version of Xampp onto Ubuntu via Putty. Can someone please help me how to do it?

Thanks.
Bulletowns
 
Posts: 4
Joined: 27. August 2016 01:10
XAMPP version: 7.0.8
Operating System: Windows Server 2012

Re: How to install Xampp on Ubuntu via Putty

Postby Bulletowns » 29. August 2016 00:30

How do I use phpmyadmin from the outside? I've tried to follow the FAQ but it doesn't work, there is no "Locationmatch" area on the httpd-xampp-conf file

#<IfDefine PHP4>
#LoadModule php4_module modules/libphp4.so
#</IfDefine>
#<IfDefine PHP7>
#LoadModule php7_module modules/libphp7.so
#</IfDefine>

# We will enable it by default
#<IfDefine PHP>
LoadModule php7_module modules/libphp7.so
#</IfDefine>

LoadModule perl_module modules/mod_perl.so

Alias /phpmyadmin "/opt/lampp/phpmyadmin"
Alias /phpsqliteadmin "/opt/lampp/phpsqliteadmin"

# since XAMPP 1.4.3
<Directory "/opt/lampp/phpmyadmin">
AllowOverride AuthConfig Limit
Require local
ErrorDocument 403 /error/XAMPP_FORBIDDEN.html.var
</Directory>

<Directory "/opt/lampp/phpsqliteadmin">
AllowOverride AuthConfig Limit
Require local
ErrorDocument 403 /error/XAMPP_FORBIDDEN.html.var
</Directory>

# since LAMPP 1.0RC1
AddType application/x-httpd-php .php .php3 .php4

XBitHack on

# since 0.9.8 we've mod_perl
<IfModule mod_perl.c>
AddHandler perl-script .pl
PerlHandler ModPerl::PerlRunPrefork
PerlOptions +ParseHeaders
PerlSendHeader On
</IfModule>

# demo for mod_perl responsehandler
#PerlModule Apache::CurrentTime
#<Location /time>
# SetHandler modperl
# PerlResponseHandler Apache::CurrentTime
#</Location>

# AcceptMutex sysvsem is default but on some systems we need this
# thanks to jeff ort for this hint
#AcceptMutex flock
#LockFile /opt/lampp/logs/accept.lock

# this makes mod_dbd happy - oswald, 02aug06
# mod_dbd doesn't work in Apache 2.2.3: getting always heaps of "glibc detected *** corrupted double-linked list" on shutdown - oswald, 10sep06
#DBDriver sqlite3
Bulletowns
 
Posts: 4
Joined: 27. August 2016 01:10
XAMPP version: 7.0.8
Operating System: Windows Server 2012

Re: How to install Xampp on Ubuntu via Putty

Postby Nobbie » 29. August 2016 10:38

Can you see the "Require local" statements? What could that mean... see the Documentation and change it to your needs: https://httpd.apache.org/docs/2.4/howto/access.html
Nobbie
 
Posts: 8760
Joined: 09. March 2008 13:04


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests